Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate Class Reference

Parser for UserGroupCreate. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate:

## Public Member Functions
| __construct (UserService $userService, ContentTypeService $contentTypeService, FieldTypeParser $fieldTypeParser)
| Construct. More...
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $userService
| $contentTypeService
| $fieldTypeParser
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for UserGroupCreate.

Definition at line 19 of file UserGroupCreate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate::__construct | ( | UserService | $userService,
|  | ContentTypeService | $contentTypeService,
|  | FieldTypeParser | $fieldTypeParser
| ) |  |

Construct.

Parameters

  \eZ\Publish\API\Repository\UserService | $userService |
  \eZ\Publish\API\Repository\ContentTypeService | $contentTypeService |
  \eZ\Publish\Core\REST\Common\Input\FieldTypeParser | $fieldTypeParser |

Definition at line 49 of file UserGroupCreate.php.

References eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate\$contentTypeService, eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate\$fieldTypeParser, and eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate\$userService.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\API\Repository\Values\User\UserGroupCreateStruct

Definition at line 64 of file UserGroupCreate.php.

## Member Data Documentation

## ◆ $contentTypeService

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate::$contentTypeService
| protected

Definition at line 33 of file UserGroupCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate\__construct().

## ◆ $fieldTypeParser

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate::$fieldTypeParser
| protected

Definition at line 40 of file UserGroupCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate\__construct().

## ◆ $userService

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate::$userService
| protected

Definition at line 26 of file UserGroupCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserGroupCreate\__construct().

The documentation for this class was generated from the following file:

- UserGroupCreate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.